Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId_var Class Reference

`#include <CONV_FRAMEC.h>`

Collaboration diagram for CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId_var:

[legend]
List of all members.

## Public Methods
| _tao_seq_CodeSetId_var (void)
| _tao_seq_CodeSetId_var (_tao_seq_CodeSetId *)
| _tao_seq_CodeSetId_var (const _tao_seq_CodeSetId_var &)
| ~_tao_seq_CodeSetId_var (void)
_tao_seq_CodeSetId_var & | operator= (_tao_seq_CodeSetId *)
_tao_seq_CodeSetId_var & | operator= (const _tao_seq_CodeSetId_var &)
_tao_seq_CodeSetId * | operator-> (void)
const _tao_seq_CodeSetId * | operator-> (void) const
| operator const _tao_seq_CodeSetId & () const
| operator _tao_seq_CodeSetId & ()
| operator _tao_seq_CodeSetId & () const
CodeSetId & | operator[] (CORBA::ULong index)
const _tao_seq_CodeSetId & | in (void) const
_tao_seq_CodeSetId & | inout (void)
_tao_seq_CodeSetId *& | out (void)
_tao_seq_CodeSetId * | _retn (void)
_tao_seq_CodeSetId * | ptr (void) const
## Private Attributes
_tao_seq_CodeSetId * | ptr_

## Constructor & Destructor Documentation

ACE_INLINE CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId_var::_tao_seq_CodeSetId_var | ( | void |  | ) |

ACE_INLINE CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId_var::_tao_seq_CodeSetId_var | ( | _tao_seq_CodeSetId * |  | ) |

ACE_INLINE CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId_var::_tao_seq_CodeSetId_var | ( | const _tao_seq_CodeSetId_var & | p | ) |

ACE_INLINE CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId_var::~_tao_seq_CodeSetId_var | ( | void |  | ) |

## Member Function Documentation

ACE_INLINE CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId * CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId_var::_retn | ( | void |  | ) |

ACE_INLINE const CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId & CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId_var::in | ( | void |  | ) | const

ACE_INLINE CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId & CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId_var::inout | ( | void |  | ) |

CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId_var::operator _tao_seq_CodeSetId & | ( |  | ) | const

CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId_var::operator _tao_seq_CodeSetId & | ( |  | ) |

CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId_var::operator const _tao_seq_CodeSetId & | ( |  | ) | const

ACE_INLINE const CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId * CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId_var::operator-> | ( | void |  | ) | const

ACE_INLINE CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId * CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId_var::operator-> | ( | void |  | ) |

ACE_INLINE CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId_var & CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId_var::operator= | ( | const _tao_seq_CodeSetId_var & | p | ) |

ACE_INLINE CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId_var & CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId_var::operator= | ( | _tao_seq_CodeSetId * |  | ) |

ACE_INLINE CONV_FRAME::CodeSetId & CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId_var::operator[] | ( | CORBA::ULong | index | ) |

ACE_INLINE CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId *& CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId_var::out | ( | void |  | ) |

ACE_INLINE CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId * CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId_var::ptr | ( | void |  | ) | const

## Member Data Documentation

_tao_seq_CodeSetId* CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- CONV_FRAMEC.h
- CONV_FRAMEC.i